> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/convert.md).

# Convert

#### `GET /convert_withdraw/rfq` <a href="#get-convert_withdraw-rfq" id="get-convert_withdraw-rfq"></a>

```
const getQuote = () => {
  const body = '{}'
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/convert_withdraw/rfq' + body
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(`https://api.ndax.in/convert_withdraw/rfq?underlying=BTC&quoted_currency=e₹&side=buy&quantity=1&withdrawal_address=address`, options)
}
```

> Sample Response

```
{
  "request_id": "ce819fe8-b1d7-43bb-961c-e09ede0988d3",
  "participant_code": "CUST01",
  "quoted_currency": "e₹",
  "side": "BUY",
  "quantity": "1",
  "price": "11430.90",
  "quote_id": "5cd07738b861c31e3bd61467BTC1Buy1568311644602",
  "expire_ts": 1568311649602,
  "account_group": "00SCXM",
  "account_label": "general",
  "obo_participant": {
    "participant_code": "20XRLH",
    "account_group": "WRD1K0",
    "account_label": "general"
  },
  "network_fee_notional": "1",
  "network_fee_quantity": "1",
  "main_quote_id": "c3a7e3a6-a911-43e8-b3bb-2b562c2d8c28",
  "total_notional": "11.00",
  "underlying": "ETH",
  "asset_cost_notional": "20"
}
```

Returns a quote for the asset purchase amount and also the network fee associated with an eminent withdrawal.

Query parameters include:

* `side` (required) the side of the quote, supported value: `buy`
* `underlying` (required) the underlying asset for the quote
* `quoted_currency` (required) the quoted asset for the quote
* `withdrawal_address` (required) the on-chain address for the withdrawal
* `quantity` (optional) The amount of the `underlying` currency (either `quantity` or `total` must be provided)
* `total` (optional) the desired amount of the `quoted_currency` for the quote (either `quantity` or `total` must be provided)
* `participant_code` (optional) the participant that is requesting to buy/sell. Can be the platform's code or the customer's.

Response:

<table><thead><tr><th width="222.33333333333331">Parameter</th><th width="461">Description</th><th>Type</th></tr></thead><tbody><tr><td>request_id</td><td>The identifier of the RFQ</td><td>string</td></tr><tr><td>participant_code</td><td>The identifier of the participant making the quote request</td><td>string</td></tr><tr><td>quoted_currency</td><td>The asset code for the quoted currency, e.g. e₹</td><td>string</td></tr><tr><td>side</td><td>The participant side of the quote - <code>buy</code> or <code>sell</code></td><td>string</td></tr><tr><td>quantity</td><td>The amount of the quoted currency</td><td>string</td></tr><tr><td>price</td><td>The cost per unit of underlying currency</td><td>string</td></tr><tr><td>quote_id</td><td>The identifier for the quote<br>Note: this is required to execute the quote</td><td>string</td></tr><tr><td>expire_ts</td><td>Timestamp when the quote will expire</td><td>timestamp</td></tr><tr><td>account_group</td><td>The group that the account is a part of</td><td>string</td></tr><tr><td>account_label</td><td>The account label associated with the account</td><td>string</td></tr><tr><td>obo_participant</td><td>on behalf of participant is the details of the participant benefiting the trade if not the submitter</td><td>object</td></tr><tr><td>network_fee_notional</td><td>fee notional in the currency quoted on the RFQ</td><td>string</td></tr><tr><td>network_fee_quantity</td><td>fee quantity in the underlying asset</td><td>string</td></tr><tr><td>total_notional</td><td>The calculation: (<code>price</code> * <code>quantity</code>) + (<code>network_fee_notional</code> * <code>network_fee_quantity</code>)</td><td>string</td></tr><tr><td>underlying</td><td>The asset code for the underlying currency, e.g. <code>BTC</code></td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/convert.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
